#207 Current work on db5 header

Incomplete
closed-accepted
None
5
2013-07-26
2013-07-01
Isaac Kamga
No

db5.zip includes db5_h.patch and db5_types_c.patch.

db5_h.patch defines a constant DB5_MINORTYPE_BRLCAD_HRT for the heart primitive in the include/db5.h file.
db5_types_c.patch includes an entry into the type_table[] array in the src/librt/db5_types.c

db5_h.patch should be applied first to include/db5.h and db5_types_c.patch applied after that to src/librt/db5_types.c.

1 Attachments

Related

Patches: #207

Discussion

  • Isaac Kamga

    Isaac Kamga - 2013-07-02

    hrt_db5.patch includes line edits of the include/db5.h file and src/librt/db5_types.c file respectively.Firstly, it defines a constant DB5_MINORTYPE_BRLCAD_HRT (42) for the heart primitive in the include/db5.h file and then includes an entry { DB5_MAJORTYPE_BRLCAD, DB5_MINORTYPE_BRLCAD_HRT, 1, "hrt", "heart" } into the type_table[] array in the src/librt/db5_types.c file.

    hrt_db5.patch should be applied first to include/db5.h and then to src/librt/db5_types.c.

    Please ignore the db5.tar.gz file above because changes are encapsulated in hrt_db5.patch now.

     
    Last edit: Isaac Kamga 2013-07-02
  • Tom Browder

    Tom Browder - 2013-07-21

    Issac. your patch looks okay and I will look at it further later (including checking white space format and building). The only comment I have so far is that I'm inclined to use 'heart' instead of 'hrt' (and upper case as appropriate) in all instances since the heart shape is a little unusual. Notice the full name is given in all instances for several of the more unusual primitives, especial ones that are not abbreviations.

     
    Last edit: Tom Browder 2013-07-21
  • Tom Browder

    Tom Browder - 2013-07-21

    Issac, I'm no patch expert, but I think the combined patch you've made will not apply successfully as a single patch because the source trees don't match. Now I've looked at previous comments about your patches and see that it looks as if you aren't working in a checked-out version of the BRL-CAD trunk, so you won't be able to satisfy the strict patch requirements as I understand them.

    Is your source tree an active subversion checkout from the BRL-CAD repo on sourceforge?

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-21

    Hi Tom I thinks this patch is incomplete. In order to make it complete or , I intend to upload a complete version within the next few days. I can't do it now because its Sunday and I am not permitted to work on University campus at non-work days .
    The patch I will upload (hrt_stub.patch ) does the following :
    I intend to be connected to have Internet access by Tuesday and I will do the svn checkouts.
    Defined DB5_MINORTYPE_BRLCAD_HRT in include/db5.h.
    Incremented ID_MAX_SOLID and ID_MAXIMUM to 44 as well as defined ID_HRT as 43.
    Added { DB5_MAJORTYPE_BRLCAD, DB5_MINORTYPE_BRLCAD_HRT, 1, "hrt", "Heart" } as entry for the heart primitive in src/librt/db5_types.c.
    Added struct rt_hrt_internal{} to internally represent the heart and wrote the RT_HRT_CK_MAGIC(_p) macro .
    Declared RT_DECLARE_INTERFACE(hrt) and edited rtfunctab[] to include an entry for the heart.This entry had many NULL fields.

    Thanks.
    Izak

     
  • Tom Browder

    Tom Browder - 2013-07-21

    Issac, thanks. I think I shouldn't have jumped in here because I see this is an ongoing issue with previous patches, but you certainly need good svn diffs for all your patches.

     
  • Tom Browder

    Tom Browder - 2013-07-21

    How are you working now? You obviously have internet access (at least mail). Do you have a computer at your current location that can run Linux?

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-24

    This patch depends on hrt_magic.patch (https://sourceforge.net/p/brlcad/patches/203/) which should be applied first to BRL-CAD source. It was generated from svn diff -x -u , tested and does the following:
    Defined DB5_MINORTYPE_BRLCAD_HRT in include/db5.h.
    Incremented ID_MAX_SOLID and ID_MAXIMUM to 44 as well as defined ID_HRT as 43.
    Added { DB5_MAJORTYPE_BRLCAD, DB5_MINORTYPE_BRLCAD_HRT, 1, "hrt", "Heart" } as entry for the heart primitive in src/librt/db5_types.c.
    Added struct rt_hrt_internal{} to internally represent the heart and wrote the RT_HRT_CK_MAGIC(_p) macro .
    Declared RT_DECLARE_INTERFACE(hrt) and edited rtfunctab[] to include an entry for the heart.This entry had many NULL fields.

    Awaiting corrections.

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-24

    Hi Tom, I have uploaded the hrt_stub.patch on the "Current work on db5
    header" which you reviewed and talked about. Please I await your feedback
    for corrections.

    Cheers,
    Izak

    On Sun, Jul 21, 2013 at 9:29 PM, Tom Browder tbrowder2@users.sf.net wrote:

    Issac, thanks. I think I shouldn't have jumped in here because I see this
    is an ongoing issue with previous patches, but you certainly need good svn
    diffs for all your patches.


    Status: open
    Created: Mon Jul 01, 2013 09:23 PM UTC by Issac Kamga
    Last Updated: Sun Jul 21, 2013 08:06 PM UTC
    Owner: nobody

    db5.zip includes db5_h.patch and db5_types_c.patch.

    db5_h.patch defines a constant DB5_MINORTYPE_BRLCAD_HRT for the heart
    primitive in the include/db5.h file.
    db5_types_c.patch includes an entry into the type_table[] array in the
    src/librt/db5_types.c

    db5_h.patch should be applied first to include/db5.h and db5_types_c.patch
    applied after that to src/librt/db5_types.c.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/brlcad/patches/207/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Patches: #207

  • Tom Browder

    Tom Browder - 2013-07-24

    Izak, patch looks better and applied cleanly. I'm checking a rebuild now. (Note the patch seems to be standalone and replaces patch 203.)

     
  • Tom Browder

    Tom Browder - 2013-07-24

    On Wed, Jul 24, 2013 at 4:06 PM, Tom Browder tbrowder2@users.sf.net wrote:

    Izak, patch looks better and applied cleanly. I'm checking a rebuild now. (Note the patch seems to be standalone and replaces patch 203.)

    Build fails. Did you test your patch? If it passed, what revision
    are you using?

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-25

    " Build fails"

    Well, I indicated that this patch depends on the application of hrt_magic.patch.

    " Did you test your patch? If it passed, what revision
    are you using? "

    I tested the hrt_stub.patch which also included edits to the include/magic.h and src/libbu/magic.c. I later removed these two edits from the patch file since they pertained to hrt_magic.patch.
    Please could you rebuild after Erik applies the hrt_magic.patch to the repository.

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-25

    Tom
    In case you can't wait until Erik approves the hrt_magic.patch, you can apply and build with this one.
    I have added the changes pertaining to the magic files to the patch and tested it. I have built it and it works.

     
  • Isaac Kamga

    Isaac Kamga - 2013-07-25

    Tom, Erik has applied the hrt_magic.patch file to r56212. So just try applying the hrt_stub.patch (NOT hrt_stub_new.patch ) from now.
    Awaiting your feedback

     
  • Tom Browder

    Tom Browder - 2013-07-25

    On Thu, Jul 25, 2013 at 3:12 PM, Isaac Kamga iiizzzaaakkk@users.sf.net wrote:

    Tom, Erik has applied the hrt_magic.patch file to r56212. So just try applying the hrt_stub.patch (NOT hrt_stub_new.patch ) from now.
    Awaiting your feedback

    Isaac, my system is broken--not known when I'll recover--sorry.

    -Tom

     
  • Erik Greenwald

    Erik Greenwald - 2013-07-26
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,4 +1,3 @@
    -
     db5.zip includes db5_h.patch and db5_types_c.patch.
    
     db5_h.patch defines a constant DB5_MINORTYPE_BRLCAD_HRT for the heart primitive in the include/db5.h file.
    
    • status: open --> closed-accepted
    • assigned_to: Erik Greenwald
     
  • Erik Greenwald

    Erik Greenwald - 2013-07-26

    Applied as r56235

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks